using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Self_Project
{
    public partial class ReadBackUP : Form
    {
        public ReadBackUP()
        {
            InitializeComponent();
        }
        BackUP B = new BackUP();

        private void ReadBackUP_Load(object sender, EventArgs e)
        {
            B.LoadBackUPInformations(DGV1);
            if (DGV1.Rows.Count == 0) btn_ReadSelected.Enabled = false;
        }

        private void btn_Search_Click(object sender, EventArgs e)
        {
            FDir.FileName = txt_FileName.Text;
            FDir.Filter = "فایل های گروه نرم افزاری ساحل (Bak Files) | *.Bak";
            FDir.Title = "انتخاب فایل کپی پشتیبان";
            FDir.ShowDialog();
            txt_FileName.Text = FDir.FileName;
        }

        private void btn_ReadSelected_Click(object sender, EventArgs e)
        {
            //-------------------------
            if (System.IO.File.Exists(DGV1.Rows[DGV1.CurrentCell.RowIndex].Cells[2].Value.ToString()) == false)
            {
                MessageBox.Show("فایل مورد نظر وجود ندارد", "کپی پشتیبان", MessageBoxButtons.OK, MessageBoxIcon.Stop);
                return;
            }
            //-------------------------      
            try
            {
                B.ReadBackUP(DGV1.Rows[DGV1.CurrentCell.RowIndex].Cells[2].Value.ToString());
                MessageBox.Show("کپی پشتیبان، با موفقیت خوانده شد", "کپی پشتیبان", MessageBoxButtons.OK, MessageBoxIcon.Information);
                this.Close();
            }
            catch (Exception ex)
            {
                MessageBox.Show("سیستم قادر به خواندن فایل کپی پشتیبان نیست\n" + ex.Message, "کپی پشتیبان", MessageBoxButtons.OK, MessageBoxIcon.Stop);
            }
        }

        private void btn_Cancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void btn_ReadFromPath_Click(object sender, EventArgs e)
        {
            //-------------------------
            if (System.IO.File.Exists(txt_FileName.Text) == false || txt_FileName.Text == "")
            {
                MessageBox.Show("لطفا یک فایل انتخاب نمایید", "کپی پشتیبان", MessageBoxButtons.OK, MessageBoxIcon.Stop);
                return;
            }
            //-------------------------      
            try
            {
                B.ReadBackUP(DGV1.Rows[DGV1.CurrentCell.RowIndex].Cells[2].Value.ToString());
                MessageBox.Show("کپی پشتیبان، با موفقیت خوانده شد", "کپی پشتیبان", MessageBoxButtons.OK, MessageBoxIcon.Information);
                this.Close();
            }
            catch (Exception ex)
            {
                MessageBox.Show("سیستم قادر به خواندن فایل کپی پشتیبان نیست\n" + ex.Message, "کپی پشتیبان", MessageBoxButtons.OK, MessageBoxIcon.Stop);
            }
        }
    }
}